--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: value, options
comment: 
- !ruby/struct:SM::Flow::P 
  body: Add a command-line option and handler to the command.
- !ruby/struct:SM::Flow::P 
  body: See OptionParser#make_switch for an explanation of <tt>opts</tt>.
- !ruby/struct:SM::Flow::P 
  body: <tt>handler</tt> will be called with two values, the value of the argument and the options hash.
full_name: Gem::Command#add_option
is_singleton: false
name: add_option
params: (*opts) {|value, options| ...}
visibility: public
